| darcs-2.4.3: a distributed, interactive, smart revision control system | Source code | Contents | Index
Darcs.Witnesses.Show
Documentation
class Show1 a where | Source
Methods
show1 :: a -> String | Source
showsPrec1 :: Int -> a -> ShowS | Source
Instances
Show2 p => Show1 (Non p)
class Show2 a where | Source
Methods
show2 :: a -> String | Source
showsPrec2 :: Int -> a -> ShowS | Source
Instances
Show2 Prim
Show2 RealPatch
Show2 a => Show2 (FL a)
(Show2 a, Show2 b) => Show2 (a :\/: b)
(Show2 a, Show2 b) => Show2 (a :> b)
showOp2 :: (Show2 a, Show2 b) => Int -> String -> Int -> a -> b -> String -> String | Source
app_prec :: Int | Source
Produced by Haddock version 2.4.2